Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class TransientState

    java.lang.Object
      org.apache.openjpa.kernel.PCState
          org.apache.openjpa.kernel.TransientState

All Implemented Interfaces:
  Serializable

     class TransientState

extends PCState

Lifecycle state. Represents a transient instance; this state lasts only through the `initialize(org.apache.openjpa.kernel.StateManagerImpl, org.apache.openjpa.kernel.PCState)` method, which immediately removes the persistence capable instance from management by the OpenJPA runtime.

Author:
  Abe White

Field Summary

Fields inherited from class org.apache.openjpa.kernel.PCState
`ECLEAN, ECOPY, EDELETED, EDIRTY, ENONTRANS, HOLLOW, PCLEAN, PDELETED, PDELETEDFLUSHED, PDIRTY, PNEW, PNEWDELETED, PNEWFLUSHEDDELETED, PNEWFLUSHEDDELETEDFLUSHED, PNEWPROVISIONAL, PNONTRANS, PNONTRANSDELETED, PNONTRANSDIRTY, PNONTRANSNEW, TCLEAN, TDIRTY, TLOADED, TRANSIENT`

Constructor Summary
`TransientState()`

Method Summary
`(package private) void` | `initialize(StateManagerImpl context, PCState previous)` Called when this state is first assigned to the given state manager.
`String` | `toString()`

Methods inherited from class org.apache.openjpa.kernel.PCState
`afterNontransactionalRefresh, afterOptimisticRefresh, afterRefresh, beforeFlush, beforeNontransactionalRead, beforeNontransactionalWrite, beforeOptimisticRead, beforeOptimisticWrite, beforeRead, beforeWrite, commit, commitRetain, delete, error, evict, flush, isDeleted, isDirty, isNew, isPendingTransactional, isPersistent, isProvisional, isTransactional, isVersionCheckRequired, nonprovisional, nontransactional, persist, readResolve, release, rollback, rollbackRestore, transactional`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransientState

    TransientState()

Method Detail

### initialize

    void initialize(StateManagerImpl context,
                    PCState previous)

  Description copied from class: `PCState`
  Called when this state is first assigned to the given state manager.

  Overrides:
    `initialize` in class `PCState`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.